(function(jq) {
	uploading_image=function(){
	uploader = new plupload.Uploader({            
    runtimes : 'html5,flash,silverlight,html4',
    browse_button: 'upload_img', // this can be an id of a DOM element or the DOM element itself
    url: "upload.php",
    multi_selection : false,
    filters:{
                max_file_size : "10mb",
                chunk_size : "50kb",
                mime_types: [
                        {title : "Image files", extensions : "jpg,png,jpeg,JPEG"}
                ]
    		}
});
	
	uploader.init();
	
	uploader.bind('FilesAdded', function(up, files){
    uploader.start();
    });
    
uploader.bind('FileUploaded',function(up,file,e){
  	var img_info=JSON.parse(e.response);
  	
  	var img_path=img_info.path;
  	var file_type=img_info.file_type;
  	
  	if($("#check_texture").is(':checked'))
 	{
 		var file_name = img_path.substring(img_path.lastIndexOf("/")+1,img_path.lastIndexOf("."));
 		jq.ajax({
            type:"POST",
            url: "change_texture.php",
            data: {
                "file_path":img_path,
                "file_name":file_name,
                "file_type":file_type,
            },
            success: function(data)           
            {
            	var newpath_info=JSON.parse(data);
            	var textured_img=newpath_info.new_path;
            	fabric.Image.fromURL(textured_img, function(obj) {
				obj.set({
				originX:"left",
				originY:"top",
				left :150,
				top : 100,
				width:300,
				height:250
				});
				canvas.add(obj);
				canvas.renderAll();
				canvas.calcOffset();
				canvas.renderAll();
	     });	

                
            }    
	        });
 		
 	}
 	else
 	{
 		fabric.Image.fromURL(img_path, function(obj) {
		obj.set({
		originX:"left",
		originY:"top",
		left :150,
		top : 100,
		width:300,
		height:250
		});
		canvas.add(obj);
		canvas.renderAll();
		canvas.calcOffset();
		canvas.renderAll();
	});	
 	}
	 
      
}); 
	}
	jq(document).ready(function() {
	uploading_image();
	});
 	
})(jQuery);